org.opencv.bgsegm

## Class SyntheticSequenceGenerator

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.bgsegm.SyntheticSequenceGenerator

-     public class SyntheticSequenceGenerator
      extends Algorithm

  Synthetic frame sequence generator for testing background subtraction algorithms. It will generate the moving object on top of the background. It will apply some distortion to the background to make the test more complex.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SyntheticSequenceGenerator(long addr)`
    `` | `SyntheticSequenceGenerator(Mat background, Mat object, double amplitude, double wavelength, double wavespeed, double objspeed)` Creates an instance of SyntheticSequenceGenerator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyntheticSequenceGenerator` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `void` | `getNextFrame(Mat frame, Mat gtMask)` Obtain the next frame in the sequence.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyntheticSequenceGenerator

          protected SyntheticSequenceGenerator(long addr)

    - #### SyntheticSequenceGenerator

          public SyntheticSequenceGenerator(Mat background,
                                            Mat object,
                                            double amplitude,
                                            double wavelength,
                                            double wavespeed,
                                            double objspeed)

      Creates an instance of SyntheticSequenceGenerator.
      Parameters:
        `background` - Background image for object.
        `object` - Object image which will move slowly over the background.
        `amplitude` - Amplitude of wave distortion applied to background.
        `wavelength` - Length of waves in distortion applied to background.
        `wavespeed` - How fast waves will move.
        `objspeed` - How fast object will fly over background.

  - ### Method Detail

    - #### __fromPtr__

          public static SyntheticSequenceGenerator __fromPtr__(long addr)

    - #### getNextFrame

          public void getNextFrame(Mat frame,
                                   Mat gtMask)

      Obtain the next frame in the sequence.
      Parameters:
        `frame` - Output frame.
        `gtMask` - Output ground-truth (reference) segmentation mask object/background.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7